Page Summary
-
This page details how to use the GET method to retrieve a specific channel for a partner or advertiser.
-
The request requires
channelIdand eitheradvertiserId(in the path) orpartnerId(in the query parameters) to identify the channel owner. -
The request body must be empty, and a successful response will return a
Channelobject. -
Access to this method requires the
https://www.googleapis.com/auth/display-videoOAuth scope.
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Gets a channel for a partner or advertiser.
HTTP request
GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/channels/{channelId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
channelId |
Required. The ID of the channel to fetch. |
| Required. Identifies the DV360 entity that owns the channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
advertiserId |
The ID of the advertiser that owns the fetched channel. |
| End of mutually exclusive fields. | |
Query parameters
| Parameters | |
|---|---|
| Required. Identifies the DV360 entity that owns the channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
partnerId |
The ID of the partner that owns the fetched channel. |
| End of mutually exclusive fields. | |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Channel.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.